diff --git a/rigs/icom/icom.c b/rigs/icom/icom.c
index 2438fd4e3..05d9f7b6e 100644
--- a/rigs/icom/icom.c
+++ b/rigs/icom/icom.c
@@ -2196,7 +2196,7 @@ int icom_get_mode(RIG *rig, vfo_t vfo, rmode_t *mode, pbwidth_t *width)
         vfo_t vfoask = vfo_fixup(rig, vfo, 0);
         vfo_t vfocurr = vfo_fixup(rig, rig->state.current_vfo, 0);
 
-        if (vfoask != vfocurr) { vfosel = 0x01; }
+        if (vfo != RIG_VFO_CURR && vfoask != vfocurr) { vfosel = 0x01; }
 
         // use cache for the non-selected VFO -- can't get it by VFO
         // this avoids vfo swapping but accurate answers for these rigs
diff --git a/rigs/icom/icom.h b/rigs/icom/icom.h
index acdfeed11..e6459b7f1 100644
--- a/rigs/icom/icom.h
+++ b/rigs/icom/icom.h
@@ -30,7 +30,7 @@
 #include <sys/time.h>
 #endif
 
-#define BACKEND_VER "20210921"
+#define BACKEND_VER "20210922"
 
 #define ICOM_IS_SECONDARY_VFO(vfo) ((vfo) & (RIG_VFO_B | RIG_VFO_SUB | RIG_VFO_SUB_B | RIG_VFO_MAIN_B))
 #define ICOM_GET_VFO_NUMBER(vfo) (ICOM_IS_SECONDARY_VFO(vfo) ? 0x01 : 0x00)
